// Copyright (c) 2012 Cloudera, Inc.  All rights reserved.
define([
	"cloudera/common/I18n"
], function(I18n) {
	if ($.validator && !$.isFunction($.validator.methods.repository)) {
		$.validator.addMethod("repository", function(value, element) {
			if (value !== "") {
				if (value.indexOf(" ") === -1) {
					// non-debian repository setting:
					// a straight URL.
					return $.validator.methods.url.call(this, value, element);
				} else {
					// Debian repository setting:
					// deb url distribution [component]
					var parts = value.split(" ");
					return parts[0] === "deb" && parts.length >= 4;
				}
			}
		}, I18n.t("ui.validator.repository"));
	}
});
